ruby-ffi (1.12.2+dfsg-2build5.1) impish; urgency=medium

  * No-change rebuild for libffi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 10 Sep 2021 16:59:55 +0200

ruby-ffi (1.12.2+dfsg-2build5) hirsute; urgency=medium

  * No-change rebuild against gem2deb 1.4.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Wed, 16 Dec 2020 16:04:25 -0500

ruby-ffi (1.12.2+dfsg-2build4) groovy; urgency=medium

  * No change rebuild against new libffi8ubuntu1 ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 24 Aug 2020 20:12:33 +0100

ruby-ffi (1.12.2+dfsg-2build3) groovy; urgency=medium

  * No change rebuild against new libffi ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 20 Aug 2020 13:43:58 +0100

ruby-ffi (1.12.2+dfsg-2build2) focal; urgency=medium

  [ Rafael David Tinoco ]
  * Sponsoring ruby2.7 transitions

  [ Lucas Kanashiro ]
  * No-change rebuild for ruby2.7

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Wed, 26 Feb 2020 17:10:43 +0000

ruby-ffi (1.12.2+dfsg-2build1) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 11:19:45 +0000

ruby-ffi (1.12.2+dfsg-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable
  * debian/tests/control: add missing test dependency
  * Drop dependency on the ruby interpreter
  * Drop explicit Testsuite: field
  * debian/tests/control: add a test name to the gem2deb-test-runner call

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 04 Feb 2020 12:48:35 +0100

ruby-ffi (1.12.2+dfsg-1) experimental; urgency=medium

  * New upstream version 1.12.2+dfsg
  * Fix package wrt cme
  * Update d/watch

 -- Utkarsh Gupta <utkarsh@debian.org>  Mon, 03 Feb 2020 14:47:40 +0100

ruby-ffi (1.11.3+dfsg-1) experimental; urgency=medium

  * Team upload

  [ Cédric Boutillier ]
  * Bump debhelper compatibility level to 9
  * Remove version in the gem2deb build-dependency
  * Use https:// in Vcs-* fields
  * Use https:// in Vcs-* fields
  * Bump Standards-Version to 3.9.7 (no changes needed)
  * Run wrap-and-sort on packaging files

  [ Antonio Terceiro ]
  * Remove myself from Uploaders:

  [ Utkarsh Gupta ]
  * Add salsa-ci.yml

  [ Pirate Praveen ]
  * Use Files-Excluded with uscan to repack
  * Move debian/watch to gemwatch.debian.net
  * Bump Standards-Version to 4.4.1 (no changes needed)
  * Drop compat file, rely on debhelper-compat and bump compat level to 12
  * New upstream version 1.11.3+dfsg
  * Use salsa.debian.org in Vcs-* fields
  * Upload to experimental as ruby-rb-inotify, ruby-rbtrace, ruby-spoon and
    ruby-vips autopkgtests as well as ruby-dep-selector and ruby-vips rebuilds

 -- Pirate Praveen <praveen@debian.org>  Sun, 12 Jan 2020 18:18:37 +0530

ruby-ffi (1.9.10debian-1) unstable; urgency=medium

  * Team upload.
  * Imported Upstream version 1.9.10
    * Drop upstream applied patches.
    * Refresh downstream-only patch.
  * ruby2.2 has been in unstable for a while, so target unstable.
  * Bump Standards-Version to 3.9.6.

 -- Christian Hofstaedtler <zeha@debian.org>  Wed, 06 Jan 2016 00:44:02 +0000

ruby-ffi (1.9.6debian-3) experimental; urgency=medium

  Team upload.

  * Disable racy specs
  * Rebuild against ruby2.2, target experimental.

 -- Christian Hofstaedtler <zeha@debian.org>  Thu, 09 Apr 2015 15:31:09 +0200

ruby-ffi (1.9.6debian-2) unstable; urgency=medium

  [ Breno Leitao ]
  * debian/patches/ppc64el.patch: add support for the ppc64el architecture
    (Closes: #759550, #765092)

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 13 Oct 2014 18:25:02 -0300

ruby-ffi (1.9.6debian-1) unstable; urgency=medium

  * New upstream release
  * debian/patches/disable-rake-compiler.patch: refresh
  * debian/repack.sh: remove object files included in upstream source
  * debian/ruby-tests.rb: removed step to compile the test library since the
    upstream test suite will now do that for us
  * debian/rules: properly clean artifacts of the test library build

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 11 Oct 2014 19:52:12 -0300

ruby-ffi (1.9.3debian-3) unstable; urgency=medium

  * debian/tests/control: also run test suite with
    gem2deb-test-runner --autopkgtest
    - needed to add './' to spec file glob in debian/ruby-tests.rb
  * Add patch by Anurag Gupta <anurag@linux.vnet.ibm.com> from Ubuntu that
    fixes call to functions with float/double variadic arguments. This should
    fix ruby-ffi on ppc64el, _and_ be harmless for other architectures.
    (debian/patches/fix-for-variadic-float-double-values.diff)

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 03 Sep 2014 14:09:51 -0300

ruby-ffi (1.9.3debian-2) unstable; urgency=medium

  * Add configuration file for mips64el (Closes: #756594)
  * Add configuration file for arm64

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 19 Aug 2014 10:27:56 -0300

ruby-ffi (1.9.3debian-1) unstable; urgency=medium

  * New upstream release
  * Add instructions for porters in debian/README.porting
  * add a simple smoke test to debian/tests
  * debian/control: add `XS-Testsuite: autopkgtest`

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 08 Jan 2014 09:47:44 -0300

ruby-ffi (1.9.0debian-1) unstable; urgency=low

  * New upstream version
  * debian/control:
    + Remove Breaks/Replaces/Provides wrt transitional packages
    + bump Standards-Version to 3.9.4; no changes needed
  * debian/patches/disable-rake-compiler.patch: refreshed
  * debian/rules: drop temporary fix for #679782. Proper fix is included in
    this upstream version.

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 17 May 2013 21:43:43 -0300

ruby-ffi (1.8.1debian-1) unstable; urgency=low

  [ Antonio Terceiro ]
  * New upstream release (Closes: #708512)
  * Drop transitional packages libffi-ruby, libffi-ruby1.8 and
    libffi-ruby1.9.1
  * README.rdoc renamed to README.md
  * update debian/watch to point to gemwatch
  * debian/patches/disable-rake-compiler.patch: refreshed
  * pathes applied upstream and dropped:
    - debian/patches/0001-Add-types.conf-files-for-missing-Debian-architecture
    - debian/patches/0001-Fix-call-to-variadic-functions.patch
    - debian/patches/fix-test-on-sparc
  * debian/patches/ftbfs-gcc-4.7.diff: made obsolete by upstream change; not
    neeed anymore.
  * debian/rules: symlink i486-gnu to i386-gnu while the rename is not done
    upstream; see https://github.com/ffi/ffi/pull/269. This fixes a FTBFS on
    hurd-i386 (Closes: #679782)

  [ Cédric Boutillier ]
  * debian/control: remove obsolete DM-Upload-Allowed flag
  * use canonical URI in Vcs-* fields
  * debian/copyright: use DEP5 copyright-format/1.0 official URL for Format
    field

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 17 May 2013 00:22:41 -0300

ruby-ffi (1.0.11debian-5) unstable; urgency=low

  * debian/patches/0001-Fix-call-to-variadic-functions.patch: fixes calls to
    variadic functions with floating point arguments, which currently only
    breaks on armhf (Closes: #656809), but would also break on other
    architectures with similar ABI for variadic functions.

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 04 Aug 2012 16:42:56 -0300

ruby-ffi (1.0.11debian-4) unstable; urgency=low

  * Bump standards version
  * Bump build dependency on gem2deb to >= 0.3.0~
  * debian/ruby-tests-rb: re-enable tests
  * debian/patches/disable-rake-compiler.patch: disable rake-compiler
    requirement in Rakefile, not needed.
  * debian/rules: generate gemspec with rake before dh_auto_install (added
    rake as build dependency)

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 30 Jun 2012 10:47:57 -0300

ruby-ffi (1.0.11debian-3.1) unstable; urgency=low

  * Non maintainer upload.
  * Remove unknown GCC command line option. Closes: #672050.

 -- Matthias Klose <doko@debian.org>  Mon, 21 May 2012 01:11:56 +0000

ruby-ffi (1.0.11debian-3) unstable; urgency=low

  * debian/patches/fix-test-on-sparc: fixes crash while running test suite on
    sparc (Closes: #642266). Thanks to Jurij Smakov for the patch.
  * Ignore test results on ia64 for now. See #642267.

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 22 Jan 2012 19:19:47 -0200

ruby-ffi (1.0.11debian-2) unstable; urgency=low

  * debian/patches/0001-Add-types.conf-files-for-missing-Debian-architecture.patch:
    This patch adds types.conf files to 7 missing Debian architectures. This
    should make the package build fine in most architectures.

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 25 Dec 2011 22:24:47 -0200

ruby-ffi (1.0.11debian-1) unstable; urgency=low

  * New upstream release.
    + Should now build fine on ia64 (Closes: #642267).
    + Include fix platform detection that was pushed upstream (Closes: #643788)
  * debian/control: make transitional packages Priority: extra

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 30 Nov 2011 22:54:33 -0200

ruby-ffi (1.0.9+git20110920debian-1) unstable; urgency=low

  * Upstream git snapshot
    + Adds portability patches submit by us (Closes: #641775, #642161)
  * Removing all Debian-specific patches. Upstream source should be portable
    enough already.

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 20 Sep 2011 12:06:58 -0700

ruby-ffi (1.0.9debian-2) unstable; urgency=low

  [ Nobuhiro Iwamatsu ]
  * Remove non-portable -m{32,64} compilation flag
    (debian/patches/0002-Remove-non-portable-m-32-64-compilation-flag.patch)
    (Closes: #641775)

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 16 Sep 2011 10:37:31 -0700

ruby-ffi (1.0.9debian-1) unstable; urgency=low

  * New upstream release
    - Apparently will build on all architectures, so I am changing
      the Architecture: field to 'any'
  * Migrate to new Ruby packaging practices
    - rename package
    - use gem2deb
    - added transitional packages

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 14 Sep 2011 10:43:14 -0700

libffi-ruby (0.6.3debian-2) unstable; urgency=low

  * Team upload.
  * debian/post-install.rb: Fix problem with RUBY_VERSION on 1.9.2
    (Closes: #593038)
  * Bump Standards-Version to 3.9.1 (no changes).

 -- Laurent Arnoud <laurent@spkdev.net>  Thu, 23 Sep 2010 21:54:10 +0200

libffi-ruby (0.6.3debian-1) unstable; urgency=low

  * New upstream release
  * Set debian/control Architecture: amd64 i386 powerpc sparc
    until upstream supports more architectures (Closes: #575311)

 -- Micah Anderson <micah@debian.org>  Tue, 13 Apr 2010 12:58:06 -0400

libffi-ruby (0.6.2debian-5) unstable; urgency=low

  * Fix ruby1.9.1 Build-Depends (Closes: #574532)
  * Fix libffi-ruby binary dependency to be libffi-ruby1.8
  * Add Dependency on ruby1.8 for libffi-ruby1.8

 -- Micah Anderson <micah@debian.org>  Thu, 18 Mar 2010 23:51:04 -0400

libffi-ruby (0.6.2debian-4) unstable; urgency=low

  * Upstream confirmation of 1.9.1 support, so adding that back

 -- Micah Anderson <micah@debian.org>  Tue, 09 Mar 2010 13:08:48 -0500

libffi-ruby (0.6.2debian-3) unstable; urgency=low

  * Fix ruby path in types.conf generation

 -- Micah Anderson <micah@debian.org>  Sat, 06 Mar 2010 12:04:55 -0500

libffi-ruby (0.6.2debian-2) unstable; urgency=low

  * Generate missing types.conf during the package build
  * Seems to only support ruby 1.9 for now, so switch away from 1.9.1

 -- Micah Anderson <micah@debian.org>  Fri, 05 Mar 2010 01:01:30 -0500

libffi-ruby (0.6.2debian-1) unstable; urgency=low

  * Repack upstream source to remove embedded libffi
  * Initial release (Closes: #572597)

 -- Micah Anderson <micah@debian.org>  Thu, 04 Mar 2010 15:45:17 -0500
